# Record TLinuxWindowProperties

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TLinuxWindowProperties = record`

## Description

String version of TCefLinuxWindowProperties

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_linux_window_properties_t))

## Overview

### Fields

| `wayland_app_id: ustring;`
| `wm_class_class: ustring;`
| `wm_class_name: ustring;`
| `wm_role_name: ustring;`

## Description

### Fields

| `wayland_app_id: ustring;`
Main window's Wayland's app_id

| `wm_class_class: ustring;`
Main window's WM_CLASS_CLASS in X11

| `wm_class_name: ustring;`
Main window's WM_CLASS_NAME in X11

| `wm_role_name: ustring;`
Main window's WM_WINDOW_ROLE in X11

Generated by PasDoc 0.16.0-snapshot.